#if !defined(__alffdlg_h) // Sentry, use file only if it's not already included.
#define __alffdlg_h
/*  Project Biblio-Tec

	 SUBSYSTEM:    TEC30r.dll Library (TecLib)
	 FILE:         alffdlg.h
	 AUTHOR:       Alcindo Ferreira Filho

	 OVERVIEW:
	 ALFFDialog Class definition, the base class for all
    dialogs implemented on Biblio-Tec Library's and other
    projects based on it.

    COPYRIGHT:    © 1998-2005
                  Alcindo Ferreira Filho
                  <alcindo@inttec.com.br>

    LICENSE:      Biblio-Tec license (BiblTec.txt)
*/

#include "alffobj.h"
#include <owl\window.h>
#include <owl\dialog.h>

//{{TDialog = ALFFDialog}}
class _TECLIBCLASS ALFFDialog : public TDialog, public ALFFObject
{
 public:
	 ALFFDialog (TWindow *parent, TResId resId,
					 TModule *module = 0,
					 bool scrCenter = true,
					 TPoint wCenter = TPoint(0,0));
	 virtual ~ALFFDialog();
    virtual char far* GetClassName() {return "ALFFDialog";}

	 void     MoveTo (TPoint* topLeft);
	 void     MoveLeftToCenter(TPoint* wCenter);
	 void     MoveTopToCenter(TPoint* wCenter);
	 void     MoveRightToCenter(TPoint* wCenter);
	 void     MoveBottomToCenter(TPoint* wCenter);
    virtual void Destroy(int retValue = IDCANCEL);
    virtual bool Create();

//{{ALFFDialogVIRTUAL_BEGIN}}
 protected:
	 bool   screenCenter;
	 TPoint dlgCenter;
    TRect  dlgRect;
	 void SetupWindow ();
    void CmOk();
    void CmCancel();
//{{ALFFDialogVIRTUAL_END}}

 DECLARE_RESPONSE_TABLE(ALFFDialog);
};    //{{ALFFDialogDlg}}

#endif
